> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluations



## OpenAPI

````yaml /openapi.json get /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/evaluations
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/evaluations:
    get:
      tags:
        - v1-platform
      summary: Evaluations
      operationId: >-
        evaluations_v1_organizations__organization_id__apps__app_id__environments__environment_id__evaluations_get
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            format: uuid
            title: Organization Id
            type: string
        - in: path
          name: app_id
          required: true
          schema:
            format: uuid
            title: App Id
            type: string
        - in: path
          name: environment_id
          required: true
          schema:
            format: uuid
            title: Environment Id
            type: string
        - in: query
          name: program_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Program Id
        - in: query
          name: subject_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Subject Id
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - enum:
                  - pending
                  - in_progress
                  - needs_review
                  - completed
                  - failed
                  - superseded
                  - deleted
                type: string
              - type: 'null'
            title: Status
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - maxLength: 512
                minLength: 1
                type: string
              - type: 'null'
            title: Cursor
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationPage'
          description: Successful Response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Authentication required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Insufficient scope
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Resource not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Request validation failed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Internal server error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - SessionCookie: []
components:
  schemas:
    EvaluationPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EvaluationSummary'
          title: Items
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - items
      title: EvaluationPage
      type: object
    ApiErrorResponse:
      additionalProperties: false
      properties:
        detail:
          anyOf:
            - $ref: '#/components/schemas/ErrorDetail'
            - type: string
            - items: {}
              type: array
            - additionalProperties: true
              type: object
          title: Detail
      required:
        - detail
      title: ApiErrorResponse
      type: object
    EvaluationSummary:
      description: Bounded staff projection without answers, reports, or scoring traces.
      properties:
        answered_count:
          minimum: 0
          title: Answered Count
          type: integer
        app_id:
          format: uuid
          title: App Id
          type: string
        axis_scores:
          items:
            additionalProperties: true
            type: object
          title: Axis Scores
          type: array
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        confidence:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          title: Confidence
        coverage:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          title: Coverage
        created_at:
          format: date-time
          title: Created At
          type: string
        cycle_number:
          minimum: 1
          title: Cycle Number
          type: integer
        environment_id:
          format: uuid
          title: Environment Id
          type: string
        id:
          format: uuid
          title: Id
          type: string
        primary_metric:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Primary Metric
        prior_evaluation_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Prior Evaluation Id
        program_id:
          format: uuid
          title: Program Id
          type: string
        question_count:
          minimum: 0
          title: Question Count
          type: integer
        status:
          enum:
            - pending
            - in_progress
            - needs_review
            - completed
            - failed
            - superseded
            - deleted
          title: Status
          type: string
        subject_id:
          format: uuid
          title: Subject Id
          type: string
        version_bundle_id:
          format: uuid
          title: Version Bundle Id
          type: string
      required:
        - id
        - environment_id
        - app_id
        - program_id
        - subject_id
        - version_bundle_id
        - cycle_number
        - status
        - answered_count
        - question_count
        - created_at
      title: EvaluationSummary
      type: object
    ErrorDetail:
      additionalProperties: false
      description: Stable structured detail returned by versioned API errors.
      properties:
        code:
          title: Code
          type: string
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
        message:
          title: Message
          type: string
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - code
        - message
      title: ErrorDetail
      type: object
  securitySchemes:
    BearerAuth:
      description: Named syn_ API key or migration-only legacy key.
      scheme: bearer
      type: http
    ApiKeyAuth:
      description: Header alias for a named or legacy API key.
      in: header
      name: X-API-Key
      type: apiKey
    SessionCookie:
      description: Opaque administrator browser session.
      in: cookie
      name: synapse_session
      type: apiKey

````